# Class WindowTaskBarComponent

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:22

#####
Index

### Constructors

constructor

### Properties

cdr
subscriptions
windowService

### Methods

ngOnDestroy
ngOnInit

##
Constructors

### constructor

- new WindowTaskBarComponent(
  windowService: WindowService,
  cdr: ChangeDetectorRef,
  ): WindowTaskBarComponent

  #### Parameters

  - windowService: WindowService
  - cdr: ChangeDetectorRef

  #### Returns WindowTaskBarComponent

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:26

##
Properties

### cdr

cdr: ChangeDetectorRef

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:28

### subscriptions

subscriptions: Subscription = ...

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:24

### windowService

windowService: WindowService

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:27

##
Methods

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:38

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:32